﻿$fileName = 'tortoisesvn'
$fileType = 'msi'
$os = Get-WmiObject Win32_OperatingSystem
$systemBit = $os.OSArchitecture
$is64bit = $os.OSArchitecture -eq "64-bit"

$chocTempDir = Join-Path $env:TEMP "chocolatey"
$tempDir = Join-Path $chocTempDir "$fileName"
if (![System.IO.Directory]::Exists($tempDir)) {[System.IO.Directory]::CreateDirectory($tempDir)}
$file = Join-Path $tempDir "$fileName.$fileType"

$url32bit = 'http://downloads.sourceforge.net/project/tortoisesvn/1.7.1/Application/TortoiseSVN-1.7.1.22161-win32-svn-1.7.1.msi?r=http%3A%2F%2Ftortoisesvn.net%2Fdownloads.html&ts=1321255301&use_mirror=iweb'
$url64bit = 'http://downloads.sourceforge.net/project/tortoisesvn/1.7.1/Application/TortoiseSVN-1.7.1.22161-x64-svn-1.7.1.msi?r=http%3A%2F%2Ftortoisesvn.net%2Fdownloads.html&ts=1321255335&use_mirror=surfnet'
$url = $url32bit
if ($is64bit) { $url = $url64bit; }

Write-Host "Downloading $fileName $systemBit to $file from $url"

#http://bartdesmet.net/blogs/bart/archive/2006/11/25/PowerShell-_2D00_-How-to-download-a-file_3F00_.aspx
$downloader = new-object System.Net.WebClient
$downloader.DownloadFile($url, $file)

write-host "Installing $fileName $systemBit silently..."
msiexec /i  "$file" /quiet
write-host "$fileName $systemBit has been installed."